Index: /trunk/src/paper01/fig14/whots_validation_net_2004_2007_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/whots_validation_net_2004_2007_all_v10.pro	(revision 93)
+++ /trunk/src/paper01/fig14/whots_validation_net_2004_2007_all_v10.pro	(revision 94)
@@ -135,41 +135,82 @@
 ;; reading other data sets
 
-st1=20040813 & en1=20050725
-st2=20050728 & en2=20060624
-st3=20060627 & en3=20070628
-;st4=20070626 & en4=20080606
-;st5=20080605 & en5=20090715
+st1=20040813 
+en1=20050725
+st2=20050728 
+en2=20060624
+st3=20060627 
+en3=20070628
+;st4=20070626 
+;en4=20080606
+;st5=20080605 
+; en5=20090715
 
 file=project_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-lhf2=-1*read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) & lhf2=reform(lhf2)
-lhf3=-1*read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) & lhf3=reform(lhf3)
+lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+lhf2=-1*read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) 
+lhf2=reform(lhf2)
+lhf3=-1*read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) 
+lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) 
+lhf3=reform(lhf3)
 
 file=project_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-shf2=-1*read_ncdf('shf',st2,en2,file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy", box=box,/nan) & shf2=reform(shf2)
-shf3=-1*read_ncdf('shf',st3,en3,file=file,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy", box=box,/nan) & shf3=reform(shf3)
+shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+shf2=-1*read_ncdf('shf',st2,en2,file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy", box=box,/nan) 
+shf2=reform(shf2)
+shf3=-1*read_ncdf('shf',st3,en3,file=file,/nostr, box=box) 
+shf3=grossemoyenne(shf3, "xy", box=box,/nan) 
+shf3=reform(shf3)
 
 file=project_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-lwr2=read_ncdf('lwr',st2-1,en2,file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) & lwr2=reform(lwr2)
-lwr3=read_ncdf('lwr',st3-1,en3,file=file,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) & lwr3=reform(lwr3)
+lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+lwr2=read_ncdf('lwr',st2-1,en2,file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) 
+lwr2=reform(lwr2)
+lwr3=read_ncdf('lwr',st3-1,en3,file=file,/nostr, box=box) 
+lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) 
+lwr3=reform(lwr3)
 
 file=project_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
-swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
-swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy", box=box,/nan) & swr3=reform(swr3)
-
-net1=swr1+(lwr1+shf1+lhf1) & net2=swr2+(lwr2+shf2+lhf2) & net3=swr3+(lwr3+shf3+lhf3)
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
+swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy", box=box,/nan) 
+swr2=reform(swr2)
+swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) 
+swr3=grossemoyenne(swr3, "xy", box=box,/nan) 
+swr3=reform(swr3)
+
+net1=swr1+(lwr1+shf1+lhf1) 
+net2=swr2+(lwr2+shf2+lhf2) 
+net3=swr3+(lwr3+shf3+lhf3)
 era=[net1,net2,net3]
-lhf1=0. & lhf2=0. & lhf3=0.
-shf1=0. & shf2=0. & shf3=0.
-lwr1=0. & lwr2=0. & lwr3=0.
-swr1=0. & swr2=0. & swr3=0.
-net1=0. & net2=0. & net3=0.
+lhf1=0. 
+lhf2=0. 
+lhf3=0.
+shf1=0. 
+shf2=0. 
+shf3=0.
+lwr1=0. 
+lwr2=0. 
+lwr3=0.
+swr1=0. 
+swr2=0. 
+swr3=0.
+net1=0. 
+net2=0. 
+net3=0.
 help, era
 
@@ -177,37 +218,84 @@
 initncdf, file
 
-lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) & lhf2=reform(lhf2)
-lhf3=read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) & lhf3=reform(lhf3)
-
-shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy", box=box,/nan) & shf2=reform(shf2)
-shf3=read_ncdf('shf',st3,en3,file=file,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy", box=box,/nan) & shf3=reform(shf3)
-
-lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) & lwr2=reform(lwr2)
-lwr3=read_ncdf('lwr',st3,en3,file=file,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) & lwr3=reform(lwr3)
-
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
-swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
-swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy", box=box,/nan) & swr3=reform(swr3)
+lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) 
+lhf2=reform(lhf2)
+lhf3=read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) 
+lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) 
+lhf3=reform(lhf3)
+
+shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy", box=box,/nan) 
+shf2=reform(shf2)
+shf3=read_ncdf('shf',st3,en3,file=file,/nostr, box=box) 
+shf3=grossemoyenne(shf3, "xy", box=box,/nan) 
+shf3=reform(shf3)
+
+lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) 
+lwr2=reform(lwr2)
+lwr3=read_ncdf('lwr',st3,en3,file=file,/nostr, box=box) 
+lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) 
+lwr3=reform(lwr3)
+
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
+swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy", box=box,/nan) 
+swr2=reform(swr2)
+swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) 
+swr3=grossemoyenne(swr3, "xy", box=box,/nan) 
+swr3=reform(swr3)
 
 file=project_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
-olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
-olr2=read_ncdf("sw", st2-1, en2, file=file,/nostr, box=box) & olr2=grossemoyenne(olr2, "xy",/nan, box=box) & olr2=reform(olr2)
-olr3=read_ncdf("sw", st3-1, en3, file=file,/nostr, box=box) & olr3=grossemoyenne(olr3, "xy",/nan, box=box) & olr3=reform(olr3)
-
-net1=swr1+lwr1+(shf1+lhf1) & net2=swr2+lwr2+(shf2+lhf2) & net3=swr3+lwr3+(shf3+lhf3)
-neto_1=olr1+lwr1+lhf1+shf1 & neto_2=olr2+lwr2+lhf2+shf2 & neto_3=olr3+lwr3+lhf3+shf3
-
-trop=[net1,net2,net3] & olr=[neto_1,neto_2,neto_3]
-
-lhf1=0. & lhf2=0. & lhf3=0.
-shf1=0. & shf2=0. & shf3=0.
-lwr1=0. & lwr2=0. & lwr3=0.
-swr1=0. & swr2=0. & swr3=0.
-net1=0. & net2=0. & net3=0.
-neto_1=0 & neto_2=0 & neto_3=0
+olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) 
+olr1=grossemoyenne(olr1, "xy",/nan, box=box) 
+olr1=reform(olr1)
+olr2=read_ncdf("sw", st2-1, en2, file=file,/nostr, box=box) 
+olr2=grossemoyenne(olr2, "xy",/nan, box=box) 
+olr2=reform(olr2)
+olr3=read_ncdf("sw", st3-1, en3, file=file,/nostr, box=box) 
+olr3=grossemoyenne(olr3, "xy",/nan, box=box) 
+olr3=reform(olr3)
+
+net1=swr1+lwr1+(shf1+lhf1) 
+net2=swr2+lwr2+(shf2+lhf2) 
+net3=swr3+lwr3+(shf3+lhf3)
+neto_1=olr1+lwr1+lhf1+shf1 
+neto_2=olr2+lwr2+lhf2+shf2 
+neto_3=olr3+lwr3+lhf3+shf3
+
+trop=[net1,net2,net3] 
+olr=[neto_1,neto_2,neto_3]
+
+lhf1=0. 
+lhf2=0. 
+lhf3=0.
+shf1=0. 
+shf2=0. 
+shf3=0.
+lwr1=0. 
+lwr2=0. 
+lwr3=0.
+swr1=0. 
+swr2=0. 
+swr3=0.
+net1=0. 
+net2=0. 
+net3=0.
+neto_1=0 
+neto_2=0 
+neto_3=0
 
 help, trop, olr
@@ -215,103 +303,216 @@
 file=project_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
-swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
-swr2=read_ncdf("swr", st2, en2, file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy",/nan, box=box) & swr2=reform(swr2)
-swr3=read_ncdf("swr", st3, en3, file=file,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy",/nan, box=box) & swr3=reform(swr3)
+swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy",/nan, box=box) 
+swr1=reform(swr1)
+swr2=read_ncdf("swr", st2, en2, file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy",/nan, box=box) 
+swr2=reform(swr2)
+swr3=read_ncdf("swr", st3, en3, file=file,/nostr, box=box) 
+swr3=grossemoyenne(swr3, "xy",/nan, box=box) 
+swr3=reform(swr3)
 
 file=project_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
-lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
-lwr2=-1*read_ncdf("lwr", st2, en2, file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) & lwr2=reform(lwr2)
-lwr3=-1*read_ncdf("lwr", st3, en3, file=file,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy",/nan, box=box) & lwr3=reform(lwr3)
+lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) 
+lwr1=reform(lwr1)
+lwr2=-1*read_ncdf("lwr", st2, en2, file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) 
+lwr2=reform(lwr2)
+lwr3=-1*read_ncdf("lwr", st3, en3, file=file,/nostr, box=box) 
+lwr3=grossemoyenne(lwr3, "xy",/nan, box=box) 
+lwr3=reform(lwr3)
 
 file=project_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
-lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
-lhf2=-1*read_ncdf("lhf", st2, en2, file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) & lhf2=reform(lhf2)
-lhf3=-1*read_ncdf("lhf", st3, en3, file=file,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy",/nan, box=box) & lhf3=reform(lhf3)
+lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) 
+lhf1=reform(lhf1)
+lhf2=-1*read_ncdf("lhf", st2, en2, file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) 
+lhf2=reform(lhf2)
+lhf3=-1*read_ncdf("lhf", st3, en3, file=file,/nostr, box=box) 
+lhf3=grossemoyenne(lhf3, "xy",/nan, box=box) 
+lhf3=reform(lhf3)
 
 file=project_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
-shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
-shf2=-1*read_ncdf("shf", st2, en2, file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy",/nan, box=box) & shf2=reform(shf2)
-shf3=-1*read_ncdf("shf", st3, en3, file=file,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy",/nan, box=box) & shf3=reform(shf3)
-
-net1=swr1+lwr1+lhf1+shf1 & net2=swr2+lwr2+lhf2+shf2 & net3=swr3+lwr3+lhf3+shf3
+shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy",/nan, box=box) 
+shf1=reform(shf1)
+shf2=-1*read_ncdf("shf", st2, en2, file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy",/nan, box=box) 
+shf2=reform(shf2)
+shf3=-1*read_ncdf("shf", st3, en3, file=file,/nostr, box=box) 
+shf3=grossemoyenne(shf3, "xy",/nan, box=box) 
+shf3=reform(shf3)
+
+net1=swr1+lwr1+lhf1+shf1 
+net2=swr2+lwr2+lhf2+shf2 
+net3=swr3+lwr3+lhf3+shf3
 
 oaf=[net1,net2,net3]
-lhf1=0. & lhf2=0. & lhf3=0.
-shf1=0. & shf2=0. & shf3=0.
-lwr1=0. & lwr2=0. & lwr3=0.
-swr1=0. & swr2=0. & swr3=0.
-net1=0. & net2=0. & net3=0.
+lhf1=0. 
+lhf2=0. 
+lhf3=0.
+shf1=0. 
+shf2=0. 
+shf3=0.
+lwr1=0. 
+lwr2=0. 
+lwr3=0.
+swr1=0. 
+swr2=0. 
+swr3=0.
+net1=0. 
+net2=0.
+net3=0.
 help, oaf
 
 fi=project_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
-swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
-swr2=read_ncdf("swr", st2, en2, file=fi,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy",/nan, box=box) & swr2=reform(swr2)
-swr3=read_ncdf("swr", st3, en3, file=fi,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy",/nan, box=box) & swr3=reform(swr3)
+swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy",/nan, box=box) 
+swr1=reform(swr1)
+swr2=read_ncdf("swr", st2, en2, file=fi,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy",/nan, box=box) 
+swr2=reform(swr2)
+swr3=read_ncdf("swr", st3, en3, file=fi,/nostr, box=box) 
+swr3=grossemoyenne(swr3, "xy",/nan, box=box) 
+swr3=reform(swr3)
 
 fi=project_id_env+'NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
-lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
-lwr2=-1*read_ncdf("lwr", st2, en2, file=fi,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) & lwr2=reform(lwr2)
-lwr3=-1*read_ncdf("lwr", st3, en3, file=fi,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy",/nan, box=box) & lwr3=reform(lwr3)
+lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) 
+lwr1=reform(lwr1)
+lwr2=-1*read_ncdf("lwr", st2, en2, file=fi,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) 
+lwr2=reform(lwr2)
+lwr3=-1*read_ncdf("lwr", st3, en3, file=fi,/nostr, box=box) 
+lwr3=grossemoyenne(lwr3, "xy",/nan, box=box) 
+lwr3=reform(lwr3)
 
 fi=project_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
-lhf2=-1*read_ncdf("lhf", st2, en2, file=fi,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) & lhf2=reform(lhf2)
-lhf3=-1*read_ncdf("lhf", st3, en3, file=fi,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy",/nan, box=box) & lhf3=reform(lhf3)
+lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) 
+lhf1=reform(lhf1)
+lhf2=-1*read_ncdf("lhf", st2, en2, file=fi,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) 
+lhf2=reform(lhf2)
+lhf3=-1*read_ncdf("lhf", st3, en3, file=fi,/nostr, box=box) 
+lhf3=grossemoyenne(lhf3, "xy",/nan, box=box) 
+lhf3=reform(lhf3)
 
 fi=project_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
-shf2=-1*read_ncdf("shf", st2, en2, file=fi,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy",/nan, box=box) & shf2=reform(shf2)
-shf3=-1*read_ncdf("shf", st3, en3, file=fi,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy",/nan, box=box) & shf3=reform(shf3)
-
-net1=swr1+lwr1+lhf1+shf1 & net2=swr2+lwr2+lhf2+shf2 & net3=swr3+lwr3+lhf3+shf3
+shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy",/nan, box=box) 
+shf1=reform(shf1)
+shf2=-1*read_ncdf("shf", st2, en2, file=fi,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy",/nan, box=box) 
+shf2=reform(shf2)
+shf3=-1*read_ncdf("shf", st3, en3, file=fi,/nostr, box=box) 
+shf3=grossemoyenne(shf3, "xy",/nan, box=box) 
+shf3=reform(shf3)
+
+net1=swr1+lwr1+lhf1+shf1 
+net2=swr2+lwr2+lhf2+shf2 
+net3=swr3+lwr3+lhf3+shf3
 
 nce2=[net1,net2,net3]
 help, nce2
 
-lhf1=0. & lhf2=0. & lhf3=0.
-shf1=0. & shf2=0. & shf3=0.
-lwr1=0. & lwr2=0. & lwr3=0.
-swr1=0. & swr2=0. & swr3=0.
-net1=0. & net2=0. & net3=0.
+lhf1=0. 
+lhf2=0. 
+lhf3=0.
+shf1=0. 
+shf2=0. 
+shf3=0.
+lwr1=0. 
+lwr2=0. 
+lwr3=0.
+swr1=0. 
+swr2=0. 
+swr3=0.
+net1=0. 
+net2=0. 
+net3=0.
 
 file=project_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
 
-lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) & lhf2=reform(lhf2)
-lhf3=read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) & lhf3=reform(lhf3)
-
-shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy", box=box,/nan) & shf2=reform(shf2)
-shf3=read_ncdf('shf',st3,en3,file=file,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy", box=box,/nan) & shf3=reform(shf3)
-
-lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) & lwr2=reform(lwr2)
-lwr3=read_ncdf('lwr',st3,en3,file=file,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) & lwr3=reform(lwr3)
-
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
-swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
-swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy", box=box,/nan) & swr3=reform(swr3)
-
-net1=swr1+(lwr1+shf1+lhf1) & net2=swr2+(lwr2+shf2+lhf2) & net3=swr3+(lwr3+shf3+lhf3)
+lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) 
+lhf2=reform(lhf2)
+lhf3=read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) 
+lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) 
+lhf3=reform(lhf3)
+
+shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy", box=box,/nan) 
+shf2=reform(shf2)
+shf3=read_ncdf('shf',st3,en3,file=file,/nostr, box=box) 
+shf3=grossemoyenne(shf3, "xy", box=box,/nan) 
+shf3=reform(shf3)
+
+lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) 
+lwr2=reform(lwr2)
+lwr3=read_ncdf('lwr',st3,en3,file=file,/nostr, box=box) 
+lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) 
+lwr3=reform(lwr3)
+
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
+swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy", box=box,/nan) 
+swr2=reform(swr2)
+swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) 
+swr3=grossemoyenne(swr3, "xy", box=box,/nan) 
+swr3=reform(swr3)
+
+net1=swr1+(lwr1+shf1+lhf1) 
+net2=swr2+(lwr2+shf2+lhf2) 
+net3=swr3+(lwr3+shf3+lhf3)
 nce1=[net1,net2,net3]
 help, nce1
 
-lhf1=0. & lhf2=0. & lhf3=0.
-shf1=0. & shf2=0. & shf3=0.
-lwr1=0. & lwr2=0. & lwr3=0.
-swr1=0. & swr2=0. & swr3=0.
-net1=0. & net2=0. & net3=0.
+lhf1=0. 
+lhf2=0. 
+lhf3=0.
+shf1=0. 
+shf2=0. 
+shf3=0.
+lwr1=0. 
+lwr2=0. 
+lwr3=0.
+swr1=0. 
+swr2=0. 
+swr3=0.
+net1=0. 
+net2=0. 
+net3=0.
 
 ind=where(finite(net))
-net=net(ind) & era=era(ind) & trop=trop(ind) & oaf=oaf(ind)
-nce2=nce2(ind) & nce1=nce1(ind) & olr=olr(ind)
+net=net(ind) 
+era=era(ind) 
+trop=trop(ind) 
+oaf=oaf(ind)
+nce2=nce2(ind) 
+nce1=nce1(ind) 
+olr=olr(ind)
 
 
Index: /trunk/src/paper01/fig15/fig15_timeseries_mjo.pro
===================================================================
--- /trunk/src/paper01/fig15/fig15_timeseries_mjo.pro	(revision 93)
+++ /trunk/src/paper01/fig15/fig15_timeseries_mjo.pro	(revision 94)
@@ -84,6 +84,8 @@
 
 openps, FILENAME = project_od_env+'fig15_timeseries_mjo.ps'
-date1=20071001 & date2=20080331
-date1=19990101 & date2=20021231
+date1=20071001 
+date2=20080331
+date1=19990101 
+date2=20021231
 box=[50,80,-12,-5]
 
@@ -93,5 +95,6 @@
 lhf_trop=read_ncdf("lhf", date1, date2, box=box, file=file_trop,/nostr)
 swr_trop=read_ncdf("swr", date1, date2, box=box, file=file_trop,/nostr)
-lwr_trop=read_ncdf("lwr", date1, date2, box=box, file=file_trop,/nostr) ;; & ref_lw=-1*lwr_trop
+lwr_trop=read_ncdf("lwr", date1, date2, box=box, file=file_trop,/nostr) 
+;; ref_lw=-1*lwr_trop
 trop=swr_trop+(lwr_trop+lhf_trop+shf_trop)
 help, trop
@@ -114,5 +117,6 @@
 lhf=read_ncdf("lhf", date1, date2, box=box, file=file_erai,/nostr)
 lwr=read_ncdf("lwr", date1, date2, box=box, file=file_erai,/nostr)
-swr=read_ncdf("swr", date1, date2, box=box, file=file_erai,/nostr) & swr=-1*swr
+swr=read_ncdf("swr", date1, date2, box=box, file=file_erai,/nostr) 
+swr=-1*swr
 era=swr-(lwr+lhf+shf)
 era=grossemoyenne(era, "xy",/nan)
@@ -141,5 +145,6 @@
 file_oaf=project_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file_oaf
-swr=read_ncdf("swr", date1, date2, box=box, file=file_oaf,/nostr) & swr_trop=swr
+swr=read_ncdf("swr", date1, date2, box=box, file=file_oaf,/nostr) 
+swr_trop=swr
 oafl=swr-(lwr+lhf+shf)
 help, oafl
@@ -155,8 +160,11 @@
 save, olr,trop, nce2, era, nce, filename="netflux_sctr_1999_2002.idl"
 
-trop_hf=trop*0. & nce2_hf=trop*0.
-era_hf=trop*0. & nce_hf=trop*0.
-
-Thf=30 & Tlf=90
+trop_hf=trop*0. 
+nce2_hf=trop*0.
+era_hf=trop*0. 
+nce_hf=trop*0.
+
+Thf=30 
+Tlf=90
 tsamp=1.   ; monthly
 freq=findgen(jpt/2+1)/(jpt*tsamp)
Index: /trunk/src/paper01/fig16/fig16_timeseries_nino3.pro
===================================================================
--- /trunk/src/paper01/fig16/fig16_timeseries_nino3.pro	(revision 93)
+++ /trunk/src/paper01/fig16/fig16_timeseries_nino3.pro	(revision 94)
@@ -102,5 +102,6 @@
 
 openps, FILENAME = project_od_env+'fig16_timeseries_nino3.ps'
-date1=19940101 & date2=20071231
+date1=19940101 
+date2=20071231
 box=[240,330,-5,5]
 
@@ -123,17 +124,33 @@
 sst_nclim=total(reform(sst(0:nt-1),365,ny),2)/ny
 
-trop_nclim=[trop_nclim ,trop_nclim, trop_nclim] & trop_nclim=smooth(trop_nclim,nsmooth,/nan) & trop_nclim=trop_nclim[365:365+364]
-oafl_nclim=[oafl_nclim ,oafl_nclim, oafl_nclim] & oafl_nclim=smooth(oafl_nclim,nsmooth,/nan) & oafl_nclim=oafl_nclim[365:365+364]
-nce2_nclim=[nce2_nclim ,nce2_nclim ,nce2_nclim] & nce2_nclim=smooth(nce2_nclim,nsmooth,/nan) & nce2_nclim=nce2_nclim[365:365+364]
-era_nclim=[era_nclim ,era_nclim, era_nclim] & era_nclim=smooth(era_nclim,nsmooth,/nan) & era_nclim=era_nclim[365:365+364]
-nce_nclim=[nce_nclim ,nce_nclim ,nce_nclim] & nce_nclim=smooth(nce_nclim,nsmooth,/nan) & nce_nclim=nce_nclim[365:365+364]
-sst_nclim=[sst_nclim ,sst_nclim ,sst_nclim] & sst_nclim=smooth(sst_nclim,nsmooth,/nan) & sst_nclim=sst_nclim[365:365+364]
-
-time=time & jpt=n_elements(time)
+trop_nclim=[trop_nclim ,trop_nclim, trop_nclim] 
+trop_nclim=smooth(trop_nclim,nsmooth,/nan) 
+trop_nclim=trop_nclim[365:365+364]
+oafl_nclim=[oafl_nclim ,oafl_nclim, oafl_nclim] 
+oafl_nclim=smooth(oafl_nclim,nsmooth,/nan) 
+oafl_nclim=oafl_nclim[365:365+364]
+nce2_nclim=[nce2_nclim ,nce2_nclim ,nce2_nclim] 
+nce2_nclim=smooth(nce2_nclim,nsmooth,/nan) 
+nce2_nclim=nce2_nclim[365:365+364]
+era_nclim=[era_nclim ,era_nclim, era_nclim] 
+era_nclim=smooth(era_nclim,nsmooth,/nan) 
+era_nclim=era_nclim[365:365+364]
+nce_nclim=[nce_nclim ,nce_nclim ,nce_nclim] 
+nce_nclim=smooth(nce_nclim,nsmooth,/nan) 
+nce_nclim=nce_nclim[365:365+364]
+sst_nclim=[sst_nclim ,sst_nclim ,sst_nclim] 
+sst_nclim=smooth(sst_nclim,nsmooth,/nan) 
+sst_nclim=sst_nclim[365:365+364]
+
+time=time 
+jpt=n_elements(time)
 
 caldat, time,mon,day,yea
-trop_clim=trop*0. & era_clim=trop*0.
-oafl_clim=trop*0. & nce_clim=trop*0.
-nce2_clim=trop*0. & sst_clim=trop*0.
+trop_clim=trop*0. 
+era_clim=trop*0.
+oafl_clim=trop*0. 
+nce_clim=trop*0.
+nce2_clim=trop*0. 
+sst_clim=trop*0.
 
 for jt=0,jpt-1 do begin
@@ -147,13 +164,19 @@
 endfor
 
-trop_ano=trop-trop_clim & oafl_ano=oafl-oafl_clim
-nce2_ano=nce2-nce2_clim & era_ano=era-era_clim
-nce_ano=nce-nce_clim    & sst_ano=sst-sst_clim
-
-trop_hf=trop*0. & nce2_hf=trop*0.
-oafl_hf=trop*0. & era_hf=trop*0.
+trop_ano=trop-trop_clim 
+oafl_ano=oafl-oafl_clim
+nce2_ano=nce2-nce2_clim 
+era_ano=era-era_clim
+nce_ano=nce-nce_clim    
+sst_ano=sst-sst_clim
+
+trop_hf=trop*0. 
+nce2_hf=trop*0.
+oafl_hf=trop*0. 
+era_hf=trop*0.
 nce_hf=trop*0.
 
-Thf=1 & Tlf=90
+Thf=1 
+Tlf=90
 tsamp=1.   ; monthly
 freq=findgen(jpt/2+1)/(jpt*tsamp)
@@ -189,6 +212,8 @@
 help, trop_hf, nce2_hf, era_hf, nce_hf
 
-trop_ano=trop_ano-trop_hf & oafl_ano=oafl_ano-oafl_hf
-nce2_ano=nce2_ano-nce2_hf & era_ano=era_ano-era_hf
+trop_ano=trop_ano-trop_hf 
+oafl_ano=oafl_ano-oafl_hf
+nce2_ano=nce2_ano-nce2_hf 
+era_ano=era_ano-era_hf
 nce_ano=nce_ano-nce_hf
 
Index: /trunk/src/paper01/fig2/fig2_timeline_diagram.pro
===================================================================
--- /trunk/src/paper01/fig2/fig2_timeline_diagram.pro	(revision 93)
+++ /trunk/src/paper01/fig2/fig2_timeline_diagram.pro	(revision 94)
@@ -132,10 +132,13 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
 
     nsmooth=1.
@@ -145,6 +148,8 @@
     read_lh, csite, date1, date2, nsmooth, lh
 
-    ind=where(finite(lh)) & lh[ind]=1.
-    ind=where(finite(lh,/nan)) & lh[ind]=0.
+    ind=where(finite(lh)) 
+    lh[ind]=1.
+    ind=where(finite(lh,/nan)) 
+    lh[ind]=0.
     no_obs_lh=no_obs_lh+lh
 
@@ -168,17 +173,24 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
 
     nsmooth=1.
     read_sw, csite, date1, date2, box, sw
-    swr=sw & ind=where(finite(swr)) & valid=n_elements(ind)
+    swr=sw 
+    ind=where(finite(swr)) 
+    valid=n_elements(ind)
     if (valid ge 10) then begin
-       ind=where(finite(sw)) & sw[ind]=1.
-       ind=where(finite(sw,/nan)) & sw[ind]=0.
+       ind=where(finite(sw)) 
+       sw[ind]=1.
+       ind=where(finite(sw,/nan)) 
+       sw[ind]=0.
        no_obs_sw=no_obs_sw+sw
     endif
@@ -195,17 +207,24 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
 
     nsmooth=1.
     read_lw, csite, date1, date2, box, lw
-    lwr=lw & ind=where(finite(lwr)) & valid=n_elements(ind)
+    lwr=lw 
+    ind=where(finite(lwr)) 
+    valid=n_elements(ind)
     if (valid ge 10) then begin
-       ind=where(finite(lw)) &  lw[ind]=1.
-       ind=where(finite(lw,/nan)) & lw[ind]=0.
+       ind=where(finite(lw)) 
+       lw[ind]=1.
+       ind=where(finite(lw,/nan)) 
+       lw[ind]=0.
        no_obs_lw=no_obs_lw+lw
     endif
Index: /trunk/src/paper01/fig2/read_lh.pro
===================================================================
--- /trunk/src/paper01/fig2/read_lh.pro	(revision 93)
+++ /trunk/src/paper01/fig2/read_lh.pro	(revision 94)
@@ -124,5 +124,6 @@
 for n=0,nn-1 do begin
   var=vars(n)
-  com='ind=where('+var+' ge 1.e20) & if (ind(0) ne -1) then '+var+'(ind)=!values.f_nan'
+  com='ind=where('+var+' ge 1.e20) 
+  if (ind(0) ne -1) then '+var+'(ind)=!values.f_nan'
   r=execute(com)
 endfor
Index: /trunk/src/paper01/fig2/read_lw.pro
===================================================================
--- /trunk/src/paper01/fig2/read_lw.pro	(revision 93)
+++ /trunk/src/paper01/fig2/read_lw.pro	(revision 94)
@@ -118,5 +118,6 @@
 for n=0,nn-1 do begin
   var=vars(n)
-  com='ind=where('+var+' ge 1.e20) & if (ind(0) ne -1) then '+var+'(ind)=!values.f_nan'
+  com='ind=where('+var+' ge 1.e20) 
+  if (ind(0) ne -1) then '+var+'(ind)=!values.f_nan'
   r=execute(com)
 endfor
Index: /trunk/src/paper01/fig2/read_sw.pro
===================================================================
--- /trunk/src/paper01/fig2/read_sw.pro	(revision 93)
+++ /trunk/src/paper01/fig2/read_sw.pro	(revision 94)
@@ -126,5 +126,6 @@
 for n=0,nn-1 do begin
   var=vars(n)
-  com='ind=where('+var+' ge 1.e20) & if (ind(0) ne -1) then '+var+'(ind)=!values.f_nan'
+  com='ind=where('+var+' ge 1.e20) 
+  if (ind(0) ne -1) then '+var+'(ind)=!values.f_nan'
   r=execute(com)
 endfor
Index: /trunk/src/paper01/fig2/time_lec.pro
===================================================================
--- /trunk/src/paper01/fig2/time_lec.pro	(revision 93)
+++ /trunk/src/paper01/fig2/time_lec.pro	(revision 94)
@@ -46,5 +46,6 @@
 function time_lec, fi
 tt=ncdf_lec(fi,var='time')
-fid=ncdf_open(fi) & vid=ncdf_varid(fid,'time')
+fid=ncdf_open(fi) 
+vid=ncdf_varid(fid,'time')
 ncdf_attget, fid,vid,'units',orig
 orig=string(orig)
